/*******************
Ad Format: Single Expandable 
Amazon Template Version: 1.0.0
Last Updated On: 2021-08-13
*******************/

function checkIfAdKitReady(event) {
	adkit.onReady(initializeCreative);
}

function initializeCreative(event) {
	addEventListeners();
}

function addEventListeners() {
	expand_btn.addEventListener("click", handleExpandButtonClick);
	close_btn.addEventListener("click", handleCloseButtonClick);
	user_action_btn.addEventListener("click", handleUserActionButtonClick);
	clickthrough_btn.addEventListener("click", handleClickthroughButtonClick);
	overlay_hotspot_banner.addEventListener("click", handleoverlayHotspotClick);
	overlay_hotspot_panel.addEventListener("click", handleoverlayHotspotClick);
}

function handleExpandButtonClick() {
	EB.expand();
	banner.style.display = "none";
	panel.style.display = "block";
}

function handleCloseButtonClick() {
	banner.style.display = "block";
	panel.style.display = "none";
	EB.collapse();
}

function handleUserActionButtonClick() {
	EB.userActionCounter("CustomInteraction");
}

function handleoverlayHotspotClick() {
	EB.clickthrough("Click_Main");
	handleCloseButtonClick();
}

function handleClickthroughButtonClick() {
	EB.clickthrough();
	handleCloseButtonClick();
}

window.addEventListener("load", checkIfAdKitReady);